Subject: bug#15800: 24.3.50; hebrew: describe-input-method, case sensitive or not

From: Jambunathan K <[email-masked]>
Date: Mon, 04 Nov 2013 22:39:30 +0530

Eli Zaretskii <[email-masked]> writes:

> Then I think there's a misunderstanding here: the table shows the
> Latin characters in upper case because that's what the shifted keys
> are supposed to produce -- upper-case Latin letters.
>
> IOW, you cannot produce lower-case Latin letters with this input
> method, you need to switch out of the input method first.

I don't want English at all. I don't want to mix English and Hebrew.  I
just wnat a buffer with Hebrew and nothing else.

The input table says type 'S' to get some hebrew char.  If I type that
char, I don't get hebrew.  But if I type lowercase 's', then I get the
required hebrew char.

So, FIX THE HELP TEXT IN INPUT TABLE so that it replaces 'S' with 's'
(likewise for other chars) or UPCASE THE INPUT CHAR before transcoding
it.